Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
Class ClosureStaticMetaMethod

This class represents a MetaMethod that is a closure that pretends to be a static method. It is used by ExpandoMetaClass to allow addition of static methods defined as closures

author:
  Graeme Rocher

since:
  01.1

Field Summary
`Closure` | `callable`
`CachedClass` | `declaringClass`
`String` | `name`

Constructor Summary
`ClosureStaticMetaMethod(String name, Class declaringClass, Closure c)`

Method Summary
`Closure` | `getClosure()` Retrieves the closure that is invoked by this MetaMethod
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, def arguments)`

Constructor Detail

### ClosureStaticMetaMethod

    public ClosureStaticMetaMethod(String name, Class declaringClass, Closure c)

  param:
    name The name of the MetaMethod
  param:
    declaringClass The class which declared the MetaMethod
  param:
    c The closure that this ClosureMetaMethod will invoke when called

Method Detail

### getClosure

    public Closure getClosure()

  Retrieves the closure that is invoked by this MetaMethod
  return:
    The closure

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, def arguments)